
<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-font-lg ion-no-padding">{{ service.model?.name }}</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-grid class="ion-padding-horizontal">
        <ion-row>
            <ion-col size="auto">
                <ion-label color="dark">
                    <h6 class="ion-font-bold ion-font-lg">{{ service.model?.name }}</h6>
                    <ion-text color="secondary">
                        <span class="ion-font-md">{{ service.model?.storeName }}</span>
                    </ion-text>
                </ion-label>
            </ion-col>
            <ion-col size="auto" class="ion-text-right ion-ml-auto">
                <ion-label color="dark">
                    <h6 class="ion-font-bold ion-font-lg">{{ (service.model?.price * service.model?.unit) | currency }}</h6>
                </ion-label>
                <app-rating [rating]="service.model?.rating" [showPercent]="false"></app-rating>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <ion-text color="secondary">
                    <p class="ion-font-md">
                        {{ service.model?.details }}
                    </p>
                </ion-text>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <ion-button shape="round" expand="block" style="--box-shadow: none;" (click)="service.onAdd()">
                    <ion-text class="ion-text-capitalize ion-font-bold">Agregar pedido</ion-text>
                </ion-button>
            </ion-col>
        </ion-row>

        <br><div class="app-divider"></div>

        <ion-row>
            <ion-col class="ion-text-center">
                <app-stepper [minlength]="1" [(ngModel)]="service.model.unit"></app-stepper>  
            </ion-col>
        </ion-row>

        <div class="app-divider"></div><br>

        <ion-row>
            <ion-col>
                <ion-item lines="none">
                    <ion-label position="stacked">Instrucciones especiales</ion-label>
                    <ion-textarea class="ion-input-custom" [(ngModel)]="service.model.description"
                        placeholder="Descripcion del envio">
                    </ion-textarea>
                </ion-item>
            </ion-col>
        </ion-row>

    </ion-grid>

    <!-- <ion-grid>
        <ion-row>
            <ion-col>
                <div class="app-divider ion-text-center" style="padding: .5rem;">
                    <ion-text color="secondary">
                        <strong>Cantidad</strong>
                    </ion-text>
                </div>
            </ion-col>
        </ion-row>
        
        <ion-row>
            <ion-col class="ion-text-center">
                <app-stepper [minlength]="1" [(ngModel)]="unidad"></app-stepper>  
            </ion-col>
        </ion-row>
    </ion-grid> -->

    <!-- <ion-grid>
        <ion-row>
            <ion-col>
                <div class="app-divider ion-text-center" style="padding: .5rem;">
                    <ion-text color="secondary">
                        <strong>Extra</strong>
                    </ion-text>
                </div>    
            </ion-col>
        </ion-row>
        
        <ion-row>
            <ion-col>
                <app-combobox [title]="'Bebida'" [(ngModel)]="options.bebida" (onSelect)="alert(model.bebida)"></app-combobox>
            </ion-col>
        </ion-row>

        <ion-row>
            <ion-col>
                <app-combobox [title]="'Tamaño'" [(ngModel)]="options.tamano" (onSelect)="alert(model.tamano)"></app-combobox>
            </ion-col>
        </ion-row>
    </ion-grid> -->

    <!-- <ion-grid>
        <ion-row>
            <ion-col>
                <ion-item>
                    <ion-label position="stacked">Instrucciones especiales</ion-label>
                    <ion-textarea placeholder="Descripcion del envio"></ion-textarea>
                </ion-item>
            </ion-col>
        </ion-row>
    </ion-grid> -->

</ion-content>
